GET api/NTCosCompany/GetCorporationCauseOfIncident?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCorporationCauseOfIncidentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CorporationCauseOfIncidentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CorporationCauseOfIncidentId": 1,
"CorporationCode": "sample string 2",
"CorporationValidFlag": true,
"Type": 4,
"Id": 5,
"Name": "sample string 6",
"NeedMoreInfo": true,
"Sequence": 8,
"NCCICode": "sample string 9",
"Standard": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:32:17.8270554-07:00",
"DateUpdated": "2026-08-04T14:32:17.8270554-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
},
{
"CorporationCauseOfIncidentId": 1,
"CorporationCode": "sample string 2",
"CorporationValidFlag": true,
"Type": 4,
"Id": 5,
"Name": "sample string 6",
"NeedMoreInfo": true,
"Sequence": 8,
"NCCICode": "sample string 9",
"Standard": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:32:17.8270554-07:00",
"DateUpdated": "2026-08-04T14:32:17.8270554-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}